gi-xlib-2.0.2: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XTrapezoid

Contents

- Exported types

Description

No description available in the introspection data.

Synopsis

- newtype XTrapezoid = XTrapezoid (ManagedPtr XTrapezoid)
- noXTrapezoid :: Maybe XTrapezoid

# Exported types

newtype XTrapezoid Source #

Memory-managed wrapper type.

Constructors

XTrapezoid (ManagedPtr XTrapezoid) |

Instances

WrappedPtr XTrapezoid Source # |
Instance details Defined in GI.Xlib.Structs.XTrapezoid Methods wrappedPtrCalloc :: IO (Ptr XTrapezoid) Source # wrappedPtrCopy :: XTrapezoid -> IO XTrapezoid Source # wrappedPtrFree :: Maybe (FunPtr (Ptr XTrapezoid -> IO ())) Source #

noXTrapezoid :: Maybe XTrapezoid Source #

A convenience alias for `Nothing` :: `Maybe` `XTrapezoid`.